Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 22 Mar 2019, 00:22
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
no skype any more for 32 bit systems and 32 bit Linux!
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [10 Posts]  
Author Message
oui

Joined: 20 May 2005
Posts: 3314
Location: near Woof (Germany) :-) - 3 PC's: DELL SX280 750 MB Pentium4, Acer emachines 2 GB AMD64. DELL XPS15

PostPosted: Thu 14 Mar 2019, 20:13    Post subject:  no skype any more for 32 bit systems and 32 bit Linux!
Subject description: don't wonder... it's so!
 

answer for theVenerable and other

theVenerable wrote:
I thought I'd give Puppy another go due to it's portability.
Unfortunately it's very complicated in installing software.
First thing I tried was to install Skype.
There is no simple click to install feature (why not? This is 2019 and we aren't all computer nerds).
I tried to follow the Skype install tutorial, but after saving the Skype files to root, and typing in the terminal command: tar xjvf skype_static-*.tar.bz2 it says it cant open as there is no such file,
Maybe I typed the command wrong? I don't think so, but since the terminal doesn't even have a copy and paste feature, it's hard to know.

Question is, can I just click to install app?, or shall I just go back to Ubuntu which works surprisingly well on USB and has a lot of GUI these days? - pretty much the only Linux I can bother using.

Thanks


no problem with skype messenger or skype phone (but effective, on my PC, problems with the use of the video telefony!)

but

1 I have a 64 bit computer

and

2 if skype, I always use a 64 bit Puppy!

(there is no skype any more for 32 bit systems, not only for Puppy's but for all Linux versions!)
Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 3314
Location: near Woof (Germany) :-) - 3 PC's: DELL SX280 750 MB Pentium4, Acer emachines 2 GB AMD64. DELL XPS15

PostPosted: Fri 15 Mar 2019, 03:37    Post subject:  

Gordie wrote:
Maybe you can use skype on the web instead of installing it?

https://web.skype.com/


but (s)he needs Google Chrome to do that and it is rarely the in Puppy pre installed browser!

pls see: Google Chrome 64-bit PET & SFS packages
Back to top
View user's profile Send private message 
rockedge


Joined: 11 Apr 2012
Posts: 996
Location: Connecticut, United States

PostPosted: Fri 15 Mar 2019, 08:09    Post subject:  

well there is a way.......to trick Microstuff and modify Skype version 4.3.0 for 32 bit to think it is a newer version.....funny thing Skype 4.3.0 32 bit version still works.......

Code:
#sed -i 's/4\.3\.0\.37/8\.3\.0\.37/' /usr/share/skype/skype


http://murga-linux.com/puppy/viewtopic.php?p=983837#983837
Back to top
View user's profile Send private message Visit poster's website 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4736
Location: King's Lynn, UK.

PostPosted: Fri 15 Mar 2019, 12:32    Post subject:  

@ oui:-

OscarTalks' Iron 69 is available for 32-bit Puppies. web.skype.com works fine on there.....

https://yadi.sk/d/_S5b4g7tpcyZn

Iron is a perfect 'clone' of Chrome, and lets you do everything, just as you would in Chrome.


Mike. Wink

_________________
My 'Puppy' Packages
--------------------------------------

Back to top
View user's profile Send private message Visit poster's website 
rockedge


Joined: 11 Apr 2012
Posts: 996
Location: Connecticut, United States

PostPosted: Fri 15 Mar 2019, 13:50    Post subject:  

Great idea Mike!!

I forgot all about that!
Back to top
View user's profile Send private message Visit poster's website 
oui

Joined: 20 May 2005
Posts: 3314
Location: near Woof (Germany) :-) - 3 PC's: DELL SX280 750 MB Pentium4, Acer emachines 2 GB AMD64. DELL XPS15

PostPosted: Fri 15 Mar 2019, 18:47    Post subject:    

ok!

I did also get following mini msg:

Semme wrote:
With the latest Chrome based Slimjet (32b), I'm able to reach web.skype.com. Wink


all is possible as far as Google can organize some exceptions for Google users only and users from chrome are some kind also Google user else if they did refuse to adhere to Google in other situations (but it is probably rare: For smart phone user is the adhesion to Google some kind of MUSS)!

my difficulty were concerning links above:

the Puppy thread for Google chrome 64 bit is easy to find, but for 32 bit, hm Embarassed ...

(note: I am not Google user Idea . I did register for smart phone, ok, but I have no smart phone, only a phone "phone" but no internet connection Wink . I don't want to mark my position/localization on a black board (I don't know if I can really avoid it effectively but I do what I can to make it more difficult for the GAFA's...)
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4736
Location: King's Lynn, UK.

PostPosted: Tue 19 Mar 2019, 13:39    Post subject:  

@ oui:-

I've tried to explain this elsewhere on the Forum in recent days. I do NOT know how much clearer I can make this:-

GOOGLE DO NOT RELEASE A 32-BIT LINUX BUILD ANY MORE. THEY BUILD 32-BIT FOR WINDOWS & MACS.....BUT NOT FOR LINUX. CHROME ON LINUX IS 64-BIT ONLY, AND HAS BEEN FOR AT LEAST THE LAST 3 YEARS.

In fact, to make it easier to 'see' what I'm talking about, here's an 'infographic' I've put together to show the current situation with these Chromium-based browsers. Hope it clarifies matters:-





So; what I (and others) are trying to tell you is this:- If you like Chrome, and nowadays want to run it in 32-bit Linux, you'll get the exact same experience if you use SlimJet, Iron or Chromium itself.

Please don't confuse these two. Chromium is NOT Chrome.....but if Chromium didn't exist, then neither would Chrome itself.

Anyway, I don't know where you get the idea that the Skype web client is only accessible through Chrome. It's accessible through Firefox Quantum, just as easily...

EDIT:- My mistake; I apologize. You appear to be correct; Firefox won't show web.skype.com. Well, that's a fairly recent development; I'm guessing it probably coincided with MyCrudSoft's decision to adopt the Chromium code-base for Edge. Naturally, they want to make sure that their subsidiary (Skype) works properly with their 'flagship' browser (Edge).

One wonders how long it will be before they craftily sneak in a snippet of code to prevent anyone using Skype on the web unless they're in Edge already.

I wouldn't put anything past them. At all.


Mike. Wink

_________________
My 'Puppy' Packages
--------------------------------------

Back to top
View user's profile Send private message Visit poster's website 
Makoto


Joined: 03 Sep 2009
Posts: 2182
Location: Out wandering... maybe.

PostPosted: Tue 19 Mar 2019, 15:19    Post subject:  

Try having Firefox spoof Chrome's useragent string, and see if web.skype.com allows it.

I don't have Firefox installed at the moment, and have Skype setup over on XenialPup 64, but I tried adding a useragent override to PaleMoon (add general.useragent.override.skype.com in about:config, with the string value "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.77 Safari/537.36").
I then visited web.skype.com, and the login page shows. (Without it, I get the 'browser not supported' message.) I don't know how well it works from there, though.

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * [ Puppy Precise 5.7.1 JP, Frugal install ] * [XenialPup 64 7.5, Frugal install]
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
wiak

Joined: 11 Dec 2007
Posts: 1191
Location: not Bulgaria

PostPosted: Tue 19 Mar 2019, 18:36    Post subject:  

Mike Walsh wrote:
You appear to be correct; Firefox won't show web.skype.com. Well, that's a fairly recent development; I'm guessing it probably coincided with MyCrudSoft's decision to adopt the Chromium code-base for Edge. Naturally, they want to make sure that their subsidiary (Skype) works properly with their 'flagship' browser (Edge).


That is really bad of Microsoft. Very restrictive. Shocking really.

_________________
Tiny Linux Blog: http://www.tinylinux.info/
makepup: http://www.murga-linux.com/puppy/viewtopic.php?p=965541
Puppy user since 2.17. Creator of Precord (as in official Puppy Wary etc)
Back to top
View user's profile Send private message 
Mike Walsh


Joined: 28 Jun 2014
Posts: 4736
Location: King's Lynn, UK.

PostPosted: Tue 19 Mar 2019, 19:33    Post subject:  

Makoto wrote:
Try having Firefox spoof Chrome's useragent string, and see if web.skype.com allows it.

I don't have Firefox installed at the moment, and have Skype setup over on XenialPup 64, but I tried adding a useragent override to PaleMoon (add general.useragent.override.skype.com in about:config, with the string value "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.77 Safari/537.36").
I then visited web.skype.com, and the login page shows. (Without it, I get the 'browser not supported' message.) I don't know how well it works from there, though.


That, my friend, works a treat. And web.skype.com comes up, and signs in again, like it used to a while back. All is fully functional, too (it should be, it's all generated via the website.....it's just MyCrudSoft playing silly buggers again, as usual).

I don't use it often, but it's good to know I can use it in any browser now; no having to be in a specific Pup, or using a particular browser, just in case. Working nicely in both Fred's Quantum-portable, and my own FF60esr-portable.

I've only had to set this up once in each browser, since one 'common' install of each 'portable' is shared, from a remote partition, between all my Pups....

(Also working in watchdog's SSE-only build of Palemoon 27.9.4 w/glibc 2.19 'tweak'. I'm switching to this in all my Pups, even though the big Compaq desktop has SSE3s, for the simple reason that it's lighter on CPU resources. Think about it; it's only using a fraction of the instruction set.....and the CPU definitely runs cooler (and faster) while I'm using this.)

Cheers, Makoto!


Mike. Wink

_________________
My 'Puppy' Packages
--------------------------------------

Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [10 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0791s ][ Queries: 11 (0.0239s) ][ GZIP on ]